#!/usr/bin/env python
# Copyright (c) 2014, The MITRE Corporation. All rights reserved.
# See LICENSE.txt for complete terms.

import sys
from stix.core import STIXPackage


def parse_stix(pkg):
    print("== VULNERABILITY ==")
    for target in pkg.exploit_targets:
        print("---")
        print("Title : " + target.title)
        for vuln in target.vulnerabilities:
            print("CVE: " + vuln.cve_id)

    return 0

if __name__ == '__main__':
    try:
        fname = sys.argv[1]
    except:
        exit(1)
    fd = open(fname)
    stix_pkg = STIXPackage.from_xml(fd)

    parse_stix(stix_pkg)
